This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700821 - Update of consumer facts does not update the update timestamp
Update of consumer facts does not update the update timestamp
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Solaris
medium Severity medium
: ---
: ---
Assigned To: Michael Stead
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-04-29 09:43 EDT by Garik Khachikyan
Modified: 2015-05-14 11:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: master
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:13:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2011-04-29 09:43:06 EDT
Description of problem:
Actually the call is performed through the Kalpana proxy but the final POST however lands to Candlepin.
The issue is: if the POST for the api/consumers/<id> with {'facts':{'<prop>':'<val>'}} does the stuff all properly (facts getting updated) but the "updated_at" property of the consumer does not get changed (actually remains equal to the create timestamp)

Version-Release number of selected component (if applicable):
candlepin-0.3.5-1.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1.subscribe a consumer and try to change its facts
2.
3.
  
Actual results:
update_at property of consumer object is not updating.

Expected results:
update_at should get updated indicating the updated state of the consumer.

Additional info:
Comment 1 John Sefler 2011-07-28 14:47:23 EDT
Verifying Version...
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.4-1.git.66.43ed963.el6.x86_64


[root@jsefler-onprem-62server ~]# subscription-manager register --username=testuser1 --password=password --org=admin
The system has been registered with id: 557395ed-cef3-4f9e-b3e4-969f4739af1c 

[root@jsefler-onprem-62server ~]# curl -k -u testuser1:password  https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/owners/admin/consumers/ | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  7560  100  7560    0     0  38557      0 --:--:-- --:--:-- --:--:-- 80425
[
    {
        "canActivate": false, 
        "created": "2011-07-28T18:13:19.908+0000", 
        "entitlementCount": 0, 
        "facts": {
            "cpu.core(s)_per_socket": "1", 
            "cpu.cpu(s)": "2", 
            "cpu.cpu_socket(s)": "2", 
            "distribution.id": "Santiago", 
            "distribution.name": "Red Hat Enterprise Linux Server", 
            "distribution.version": "6.1", 
            "dmi.bios.address": "0xe8000", 
            "dmi.bios.bios_revision": "1.0", 
            "dmi.bios.relase_date": "01/01/2007", 
            "dmi.bios.rom_size": "64 KB", 
            "dmi.bios.runtime_size": "96 KB", 
            "dmi.bios.vendor": "QEMU", 
            "dmi.bios.version": "QEMU", 
            "dmi.chassis.asset_tag": "Not Specified", 
            "dmi.chassis.boot-up_state": "Safe", 
            "dmi.chassis.lock": "Not Present", 
            "dmi.chassis.manufacturer": "Not Specified", 
            "dmi.chassis.power_supply_state": "Safe", 
            "dmi.chassis.security_status": "Unknown", 
            "dmi.chassis.serial_number": "Not Specified", 
            "dmi.chassis.thermal_state": "Safe", 
            "dmi.chassis.type": "Other", 
            "dmi.chassis.version": "Not Specified", 
            "dmi.memory.array_handle": "0x1000", 
            "dmi.memory.bank_locator": "Not Specified", 
            "dmi.memory.data_width": "64 bit", 
            "dmi.memory.error_correction_type": "Other", 
            "dmi.memory.error_information_handle": "Not Provided", 
            "dmi.memory.form_factor": "DIMM", 
            "dmi.memory.location": "Other", 
            "dmi.memory.locator": "DIMM 0", 
            "dmi.memory.maximum_capacity": "1 GB", 
            "dmi.memory.size": "1024 MB", 
            "dmi.memory.speed": "  (ns)", 
            "dmi.memory.total_width": "64 bit", 
            "dmi.memory.type": "RAM", 
            "dmi.memory.use": "System Memory", 
            "dmi.processor.family": "Other", 
            "dmi.processor.socket_designation": "CPU 1", 
            "dmi.processor.status": "Populated:Enabled", 
            "dmi.processor.type": "Central Processor", 
            "dmi.processor.upgrade": "Other", 
            "dmi.processor.version": "Not Specified", 
            "dmi.processor.voltage": " ", 
            "dmi.system.family": "Not Specified", 
            "dmi.system.manufacturer": "Not Specified", 
            "dmi.system.product_name": "Not Specified", 
            "dmi.system.serial_number": "Not Specified", 
            "dmi.system.sku_number": "Not Specified", 
            "dmi.system.status": "No errors detected", 
            "dmi.system.uuid": "d5cbb7ab-542c-36c6-d2b8-116c085061ba", 
            "dmi.system.version": "Not Specified", 
            "dmi.system.wake-up_type": "Power Switch", 
            "lscpu.architecture": "x86_64", 
            "lscpu.bogomips": "4600.03", 
            "lscpu.byte_order": "Little Endian", 
            "lscpu.core(s)_per_socket": "1", 
            "lscpu.cpu(s)": "2", 
            "lscpu.cpu_family": "6", 
            "lscpu.cpu_mhz": "2300.016", 
            "lscpu.cpu_op-mode(s)": "32-bit, 64-bit", 
            "lscpu.cpu_socket(s)": "2", 
            "lscpu.hypervisor_vendor": "KVM", 
            "lscpu.l1d_cache": "64K", 
            "lscpu.l1i_cache": "64K", 
            "lscpu.l2_cache": "512K", 
            "lscpu.model": "2", 
            "lscpu.numa_node(s)": "1", 
            "lscpu.numa_node0_cpu(s)": "0,1", 
            "lscpu.on-line_cpu(s)_list": "0,1", 
            "lscpu.stepping": "3", 
            "lscpu.thread(s)_per_core": "1", 
            "lscpu.vendor_id": "AuthenticAMD", 
            "lscpu.virtualization_type": "full", 
            "memory.memtotal": "1019852", 
            "memory.swaptotal": "2064376", 
            "net.interface.eth0.broadcast": "10.16.120.255", 
            "net.interface.eth0.hwaddr": "52:54:00:1e:16:04", 
            "net.interface.eth0.ipaddr": "10.16.120.77", 
            "net.interface.eth0.netmask": "255.255.255.0", 
            "net.interface.lo.broadcast": "0.0.0.0", 
            "net.interface.lo.hwaddr": "00:00:00:00:00:00", 
            "net.interface.lo.ipaddr": "127.0.0.1", 
            "net.interface.lo.netmask": "255.0.0.0", 
            "network.hostname": "jsefler-onprem-62server.usersys.redhat.com", 
            "network.ipaddr": "10.16.120.77", 
            "system.entitlements_valid": "false", 
            "uname.machine": "x86_64", 
            "uname.nodename": "jsefler-onprem-62server.usersys.redhat.com", 
            "uname.release": "2.6.32-131.4.1.el6.x86_64", 
            "uname.sysname": "Linux", 
            "uname.version": "#1 SMP Fri Jun 10 10:54:26 EDT 2011", 
            "virt.host_type": "kvm", 
            "virt.is_guest": "true", 
            "virt.uuid": "d5cbb7ab-542c-36c6-d2b8-116c085061ba"
        }, 
        "href": "/consumers/557395ed-cef3-4f9e-b3e4-969f4739af1c", 
        "id": "8a90f8c6316d9dd3013171f35da43dee", 
        "idCert": {
            "cert": "-----BEGIN CERTIFICATE-----\nMIIDsDCCAxmgAwIBAgIIOwFfotAzR5MwDQYJKoZIhvcNAQEFBQAwVzE2MDQGA1UE\nAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNlcnN5cy5yZWRoYXQuY29t\nMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaDAeFw0xMTA3MjgxODEzMTla\nFw0xMjA3MjgxODEzMTlaMC8xLTArBgNVBAMTJDU1NzM5NWVkLWNlZjMtNGY5ZS1i\nM2U0LTk2OWY0NzM5YWYxYzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\nAIqrMPn3gc5y0+HY01DGSWy8w/dsPDey7YRulmRANnKc6qiwpe67y0UF7I+vU+dY\nnR0HcJdZMN0zTwUDejJXiYl5H4V1cwfRRbsj5txngdBDYgh6834x1jNRVkNJCukW\nw+GpKnauWrswCbT41upGwVze7LLBeQ8uhbBqX4stXzLsFHixmIR6E3RoiFjL4Ul5\ni51pPwqX+Knd8i7qCQJdC9Np5RTH3OOh0oznqVTEogfvxH6J4KDNDNpNtljGGTSv\n7aXESYTlJcoqAld/4JAJ5wySP+V37e2uqFM/a3ynYsHcfU9IpUi3a/MvnrScyWV1\n+k7SG0lKb/i3HEtFNHWQUqMCAwEAAaOCAScwggEjMBEGCWCGSAGG+EIBAQQEAwIF\noDALBgNVHQ8EBAMCBLAwgYgGA1UdIwSBgDB+gBSM0tertPJuKVwCKo7EQdh89X+A\nh6FbpFkwVzE2MDQGA1UEAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNl\ncnN5cy5yZWRoYXQuY29tMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaIIJ\nAKlvYKEJTROTMB0GA1UdDgQWBBRnIWZawdHtAnfU9gkt9dHvBKpewDATBgNVHSUE\nDDAKBggrBgEFBQcDAjBCBgNVHREEOzA5pDcwNTEzMDEGA1UEAwwqanNlZmxlci1v\nbnByZW0tNjJzZXJ2ZXIudXNlcnN5cy5yZWRoYXQuY29tMA0GCSqGSIb3DQEBBQUA\nA4GBAICsuaFTYzXED5xnvg7+uk6WR5bo8435vgpKm54YediDb9jcj1fhV4PrNWjC\n3E+WdP2DfhD8ahpOxXdA/CwTBkAznmWENm+8Of3uVJBlL5OrlxvxLkeclHVF5zL+\ngbH+GN/8mhq565V0+uX6/5Q7FFHjdwXcJEFkdx8AA0SjoxZd\n-----END CERTIFICATE-----\n", 
            "created": "2011-07-28T18:13:20.260+0000", 
            "id": "8a90f8c6316d9dd3013171f35f043df0", 
            "key": "-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAiqsw+feBznLT4djTUMZJbLzD92w8N7LthG6WZEA2cpzqqLCl\n7rvLRQXsj69T51idHQdwl1kw3TNPBQN6MleJiXkfhXVzB9FFuyPm3GeB0ENiCHrz\nfjHWM1FWQ0kK6RbD4akqdq5auzAJtPjW6kbBXN7sssF5Dy6FsGpfiy1fMuwUeLGY\nhHoTdGiIWMvhSXmLnWk/Cpf4qd3yLuoJAl0L02nlFMfc46HSjOepVMSiB+/Efong\noM0M2k22WMYZNK/tpcRJhOUlyioCV3/gkAnnDJI/5Xft7a6oUz9rfKdiwdx9T0il\nSLdr8y+etJzJZXX6TtIbSUpv+LccS0U0dZBSowIDAQABAoIBAGaCp3IixpMX0Arl\nf1H3Q9Beu3/tQ5bpbyy3k/YIgje4SMDr1b7mlR4xgu+1bRFZMMyE83bvOHBNvdy2\n9V7B16sJH4RJjv/4dNQjdkb5Pb34EkCyo85miTLmrh6PoMEvUx8/L2UM/4XhvUtL\nqZUHOWquYczDufq/KZWBDaCVqgq55NRdUl1CzH6Dny55n/Xn4855DJH//dFsf0xc\nMUIV4rJDOjpUWLN5f/tEig/K0SI8l8tsSOqK0nTckhIi3Byv1+6HeBCOYniJ8le8\njGoiBKlGMMAY92yVdb5kolpXlFAC7M6aRxAy3GQNV+1xwSYyDqMGU8DzIklBtKHi\nFx+Y+AECgYEAvcwqROi83zMBlLvnAp3ABvwMzNuOoPvt84nor+2DWbJedfjKU2R2\nUfL92gFOROW9g7ZWODOxgbGPCbsWZV7NC1vcpgcrv/TPPMQ21LkDHVlNvHWbTvj9\nz0dqneMrImEQatTlvEFhpANIvYpJ3B526LxsBMyiKsY2m4YgIy4NkZMCgYEAuwmE\nFA9Ipo1oJbyNNKegBNmvKBCIwGwbh/tu7g65tnt5yGamhmluMIM7SEk06/HDs2G2\nbMlTW9DoklRcRD1OJWzoyZQCgzfeGJbB7C9iL8UiOFQUdwWIFdAsN8rkKdlnT+8F\nHumbjEwA8L+/PEjBPcL8SYNia24rSyZrcf0yJLECgYAXftvItgsTkmvirrQ1VbP8\n6VzoS1HHygg1+t+MT9nP083vysG5OxmOoYcdYsX+r3YbhQn9YSDbTlDHwppOKEM3\n4cJZ509aLwMsoZmsEc855eFCsEhuqVI6Q7wGGaYwVlXC8+IQwQNGW4W4uRLVpgvQ\nWesBWRfGNc1yyVLXKA9T8wKBgHBBh9oaSjpcSJPNlNpzeOEwXaYoNkt3FxcIW03Z\n3LCfbzpOEcg+YvoO6Xe7KF4sHo79KGYmdzd2LQAWTcJPISXpNdY2VUO4Nj5/zSga\nUE3nfWBdZmMBGOoupTtfNI3Bg/Y/uM0S3F7aBv53tylRaVnOO2lLx7g+yREzn+0s\nT/ohAoGBAJ8gMrrf/OMvvBDy4/4k5AKZEo2nDoQdQDIwCGD6tEMeuyYxaM88sZMc\nFB35he3rCGMplWz7u6sqhnIkdV7RgUpawiBttVkyCHBF0NIUpOGsdLYaLf8gSvtu\nO385yWu0FBdVs8amTOn99NVCSAA642M2jF0mkgIilYbvdu5PwaDb\n-----END RSA PRIVATE KEY-----\n", 
            "serial": {
                "collected": false, 
                "created": "2011-07-28T18:13:19.930+0000", 
                "expiration": "2012-07-28T18:13:19.929+0000", 
                "id": 4251784676096821139, 
                "revoked": false, 
                "serial": 4251784676096821139, 
                "updated": "2011-07-28T18:13:19.930+0000"
            }, 
            "updated": "2011-07-28T18:13:20.260+0000"
        }, 
        "lastCheckin": "2011-07-28T18:17:40.904+0000", 
        "name": "jsefler-onprem-62server.usersys.redhat.com", 
        "owner": {
            "displayName": "Admin Owner", 
            "href": "/owners/admin", 
            "id": "8a90f8c6316d9dd301316d9e5c670006", 
            "key": "admin"
        }, 
        "parent": null, 
        "type": {
            "created": "2011-07-27T22:01:57.049+0000", 
            "id": "8a90f8c6316d9dd301316d9e50390001", 
            "label": "system", 
            "updated": "2011-07-27T22:01:57.049+0000"
        }, 
        "updated": "2011-07-28T18:17:40.923+0000", 
        "username": "testuser1", 
        "uuid": "557395ed-cef3-4f9e-b3e4-969f4739af1c"
    }
]
[root@jsefler-onprem-62server ~]# 


Notice:
1. This is consumer with uuid 557395ed-cef3-4f9e-b3e4-969f4739af1c that was just registered.
2. The consumer creation date is:
   "created": "2011-07-28T18:13:19.908+0000"
3. The consumer updated date is:
   "updated": "2011-07-28T18:17:40.923+0000"

Now let's update the consumers facts...
[root@jsefler-onprem-62server ~]# subscription-manager facts --update
Successfully updated the system facts.

... and re-check the consumer's created/updated dates:

[root@jsefler-onprem-62server ~]# curl -k -u testuser1:password  https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/owners/admin/consumers/ | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  7560  100  7560    0     0  37461      0 --:--:-- --:--:-- --:--:-- 83076
[
    {
        "canActivate": false, 
        "created": "2011-07-28T18:13:19.908+0000", 
        "entitlementCount": 0, 
        "facts": {
            "cpu.core(s)_per_socket": "1", 
            "cpu.cpu(s)": "2", 
            "cpu.cpu_socket(s)": "2", 
            "distribution.id": "Santiago", 
            "distribution.name": "Red Hat Enterprise Linux Server", 
            "distribution.version": "6.1", 
            "dmi.bios.address": "0xe8000", 
            "dmi.bios.bios_revision": "1.0", 
            "dmi.bios.relase_date": "01/01/2007", 
            "dmi.bios.rom_size": "64 KB", 
            "dmi.bios.runtime_size": "96 KB", 
            "dmi.bios.vendor": "QEMU", 
            "dmi.bios.version": "QEMU", 
            "dmi.chassis.asset_tag": "Not Specified", 
            "dmi.chassis.boot-up_state": "Safe", 
            "dmi.chassis.lock": "Not Present", 
            "dmi.chassis.manufacturer": "Not Specified", 
            "dmi.chassis.power_supply_state": "Safe", 
            "dmi.chassis.security_status": "Unknown", 
            "dmi.chassis.serial_number": "Not Specified", 
            "dmi.chassis.thermal_state": "Safe", 
            "dmi.chassis.type": "Other", 
            "dmi.chassis.version": "Not Specified", 
            "dmi.memory.array_handle": "0x1000", 
            "dmi.memory.bank_locator": "Not Specified", 
            "dmi.memory.data_width": "64 bit", 
            "dmi.memory.error_correction_type": "Other", 
            "dmi.memory.error_information_handle": "Not Provided", 
            "dmi.memory.form_factor": "DIMM", 
            "dmi.memory.location": "Other", 
            "dmi.memory.locator": "DIMM 0", 
            "dmi.memory.maximum_capacity": "1 GB", 
            "dmi.memory.size": "1024 MB", 
            "dmi.memory.speed": "  (ns)", 
            "dmi.memory.total_width": "64 bit", 
            "dmi.memory.type": "RAM", 
            "dmi.memory.use": "System Memory", 
            "dmi.processor.family": "Other", 
            "dmi.processor.socket_designation": "CPU 1", 
            "dmi.processor.status": "Populated:Enabled", 
            "dmi.processor.type": "Central Processor", 
            "dmi.processor.upgrade": "Other", 
            "dmi.processor.version": "Not Specified", 
            "dmi.processor.voltage": " ", 
            "dmi.system.family": "Not Specified", 
            "dmi.system.manufacturer": "Not Specified", 
            "dmi.system.product_name": "Not Specified", 
            "dmi.system.serial_number": "Not Specified", 
            "dmi.system.sku_number": "Not Specified", 
            "dmi.system.status": "No errors detected", 
            "dmi.system.uuid": "d5cbb7ab-542c-36c6-d2b8-116c085061ba", 
            "dmi.system.version": "Not Specified", 
            "dmi.system.wake-up_type": "Power Switch", 
            "events.test.currentTimeMillis": "1311808486008", 
            "events.test.description": "Testing CONSUMER MODIFIED event fires on facts update.", 
            "lscpu.architecture": "x86_64", 
            "lscpu.bogomips": "4600.03", 
            "lscpu.byte_order": "Little Endian", 
            "lscpu.core(s)_per_socket": "1", 
            "lscpu.cpu(s)": "2", 
            "lscpu.cpu_family": "6", 
            "lscpu.cpu_mhz": "2300.016", 
            "lscpu.cpu_op-mode(s)": "32-bit, 64-bit", 
            "lscpu.cpu_socket(s)": "2", 
            "lscpu.hypervisor_vendor": "KVM", 
            "lscpu.l1d_cache": "64K", 
            "lscpu.l1i_cache": "64K", 
            "lscpu.l2_cache": "512K", 
            "lscpu.model": "2", 
            "lscpu.numa_node(s)": "1", 
            "lscpu.numa_node0_cpu(s)": "0,1", 
            "lscpu.on-line_cpu(s)_list": "0,1", 
            "lscpu.stepping": "3", 
            "lscpu.thread(s)_per_core": "1", 
            "lscpu.vendor_id": "AuthenticAMD", 
            "lscpu.virtualization_type": "full", 
            "memory.memtotal": "1019852", 
            "memory.swaptotal": "2064376", 
            "net.interface.eth0.broadcast": "10.16.120.255", 
            "net.interface.eth0.hwaddr": "52:54:00:1e:16:04", 
            "net.interface.eth0.ipaddr": "10.16.120.77", 
            "net.interface.eth0.netmask": "255.255.255.0", 
            "net.interface.lo.broadcast": "0.0.0.0", 
            "net.interface.lo.hwaddr": "00:00:00:00:00:00", 
            "net.interface.lo.ipaddr": "127.0.0.1", 
            "net.interface.lo.netmask": "255.0.0.0", 
            "network.hostname": "jsefler-onprem-62server.usersys.redhat.com", 
            "network.ipaddr": "10.16.120.77", 
            "system.entitlements_valid": "false", 
            "uname.machine": "x86_64", 
            "uname.nodename": "jsefler-onprem-62server.usersys.redhat.com", 
            "uname.release": "2.6.32-131.4.1.el6.x86_64", 
            "uname.sysname": "Linux", 
            "uname.version": "#1 SMP Fri Jun 10 10:54:26 EDT 2011", 
            "virt.host_type": "kvm", 
            "virt.is_guest": "true", 
            "virt.uuid": "d5cbb7ab-542c-36c6-d2b8-116c085061ba"
        }, 
        "href": "/consumers/557395ed-cef3-4f9e-b3e4-969f4739af1c", 
        "id": "8a90f8c6316d9dd3013171f35da43dee", 
        "idCert": {
            "cert": "-----BEGIN CERTIFICATE-----\nMIIDsDCCAxmgAwIBAgIIOwFfotAzR5MwDQYJKoZIhvcNAQEFBQAwVzE2MDQGA1UE\nAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNlcnN5cy5yZWRoYXQuY29t\nMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaDAeFw0xMTA3MjgxODEzMTla\nFw0xMjA3MjgxODEzMTlaMC8xLTArBgNVBAMTJDU1NzM5NWVkLWNlZjMtNGY5ZS1i\nM2U0LTk2OWY0NzM5YWYxYzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\nAIqrMPn3gc5y0+HY01DGSWy8w/dsPDey7YRulmRANnKc6qiwpe67y0UF7I+vU+dY\nnR0HcJdZMN0zTwUDejJXiYl5H4V1cwfRRbsj5txngdBDYgh6834x1jNRVkNJCukW\nw+GpKnauWrswCbT41upGwVze7LLBeQ8uhbBqX4stXzLsFHixmIR6E3RoiFjL4Ul5\ni51pPwqX+Knd8i7qCQJdC9Np5RTH3OOh0oznqVTEogfvxH6J4KDNDNpNtljGGTSv\n7aXESYTlJcoqAld/4JAJ5wySP+V37e2uqFM/a3ynYsHcfU9IpUi3a/MvnrScyWV1\n+k7SG0lKb/i3HEtFNHWQUqMCAwEAAaOCAScwggEjMBEGCWCGSAGG+EIBAQQEAwIF\noDALBgNVHQ8EBAMCBLAwgYgGA1UdIwSBgDB+gBSM0tertPJuKVwCKo7EQdh89X+A\nh6FbpFkwVzE2MDQGA1UEAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNl\ncnN5cy5yZWRoYXQuY29tMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaIIJ\nAKlvYKEJTROTMB0GA1UdDgQWBBRnIWZawdHtAnfU9gkt9dHvBKpewDATBgNVHSUE\nDDAKBggrBgEFBQcDAjBCBgNVHREEOzA5pDcwNTEzMDEGA1UEAwwqanNlZmxlci1v\nbnByZW0tNjJzZXJ2ZXIudXNlcnN5cy5yZWRoYXQuY29tMA0GCSqGSIb3DQEBBQUA\nA4GBAICsuaFTYzXED5xnvg7+uk6WR5bo8435vgpKm54YediDb9jcj1fhV4PrNWjC\n3E+WdP2DfhD8ahpOxXdA/CwTBkAznmWENm+8Of3uVJBlL5OrlxvxLkeclHVF5zL+\ngbH+GN/8mhq565V0+uX6/5Q7FFHjdwXcJEFkdx8AA0SjoxZd\n-----END CERTIFICATE-----\n", 
            "created": "2011-07-28T18:13:20.260+0000", 
            "id": "8a90f8c6316d9dd3013171f35f043df0", 
            "key": "-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAiqsw+feBznLT4djTUMZJbLzD92w8N7LthG6WZEA2cpzqqLCl\n7rvLRQXsj69T51idHQdwl1kw3TNPBQN6MleJiXkfhXVzB9FFuyPm3GeB0ENiCHrz\nfjHWM1FWQ0kK6RbD4akqdq5auzAJtPjW6kbBXN7sssF5Dy6FsGpfiy1fMuwUeLGY\nhHoTdGiIWMvhSXmLnWk/Cpf4qd3yLuoJAl0L02nlFMfc46HSjOepVMSiB+/Efong\noM0M2k22WMYZNK/tpcRJhOUlyioCV3/gkAnnDJI/5Xft7a6oUz9rfKdiwdx9T0il\nSLdr8y+etJzJZXX6TtIbSUpv+LccS0U0dZBSowIDAQABAoIBAGaCp3IixpMX0Arl\nf1H3Q9Beu3/tQ5bpbyy3k/YIgje4SMDr1b7mlR4xgu+1bRFZMMyE83bvOHBNvdy2\n9V7B16sJH4RJjv/4dNQjdkb5Pb34EkCyo85miTLmrh6PoMEvUx8/L2UM/4XhvUtL\nqZUHOWquYczDufq/KZWBDaCVqgq55NRdUl1CzH6Dny55n/Xn4855DJH//dFsf0xc\nMUIV4rJDOjpUWLN5f/tEig/K0SI8l8tsSOqK0nTckhIi3Byv1+6HeBCOYniJ8le8\njGoiBKlGMMAY92yVdb5kolpXlFAC7M6aRxAy3GQNV+1xwSYyDqMGU8DzIklBtKHi\nFx+Y+AECgYEAvcwqROi83zMBlLvnAp3ABvwMzNuOoPvt84nor+2DWbJedfjKU2R2\nUfL92gFOROW9g7ZWODOxgbGPCbsWZV7NC1vcpgcrv/TPPMQ21LkDHVlNvHWbTvj9\nz0dqneMrImEQatTlvEFhpANIvYpJ3B526LxsBMyiKsY2m4YgIy4NkZMCgYEAuwmE\nFA9Ipo1oJbyNNKegBNmvKBCIwGwbh/tu7g65tnt5yGamhmluMIM7SEk06/HDs2G2\nbMlTW9DoklRcRD1OJWzoyZQCgzfeGJbB7C9iL8UiOFQUdwWIFdAsN8rkKdlnT+8F\nHumbjEwA8L+/PEjBPcL8SYNia24rSyZrcf0yJLECgYAXftvItgsTkmvirrQ1VbP8\n6VzoS1HHygg1+t+MT9nP083vysG5OxmOoYcdYsX+r3YbhQn9YSDbTlDHwppOKEM3\n4cJZ509aLwMsoZmsEc855eFCsEhuqVI6Q7wGGaYwVlXC8+IQwQNGW4W4uRLVpgvQ\nWesBWRfGNc1yyVLXKA9T8wKBgHBBh9oaSjpcSJPNlNpzeOEwXaYoNkt3FxcIW03Z\n3LCfbzpOEcg+YvoO6Xe7KF4sHo79KGYmdzd2LQAWTcJPISXpNdY2VUO4Nj5/zSga\nUE3nfWBdZmMBGOoupTtfNI3Bg/Y/uM0S3F7aBv53tylRaVnOO2lLx7g+yREzn+0s\nT/ohAoGBAJ8gMrrf/OMvvBDy4/4k5AKZEo2nDoQdQDIwCGD6tEMeuyYxaM88sZMc\nFB35he3rCGMplWz7u6sqhnIkdV7RgUpawiBttVkyCHBF0NIUpOGsdLYaLf8gSvtu\nO385yWu0FBdVs8amTOn99NVCSAA642M2jF0mkgIilYbvdu5PwaDb\n-----END RSA PRIVATE KEY-----\n", 
            "serial": {
                "collected": false, 
                "created": "2011-07-28T18:13:19.930+0000", 
                "expiration": "2012-07-28T18:13:19.929+0000", 
                "id": 4251784676096821139, 
                "revoked": false, 
                "serial": 4251784676096821139, 
                "updated": "2011-07-28T18:13:19.930+0000"
            }, 
            "updated": "2011-07-28T18:13:20.260+0000"
        }, 
        "lastCheckin": "2011-07-28T18:23:43.000+0000", 
        "name": "jsefler-onprem-62server.usersys.redhat.com", 
        "owner": {
            "displayName": "Admin Owner", 
            "href": "/owners/admin", 
            "id": "8a90f8c6316d9dd301316d9e5c670006", 
            "key": "admin"
        }, 
        "parent": null, 
        "type": {
            "created": "2011-07-27T22:01:57.049+0000", 
            "id": "8a90f8c6316d9dd301316d9e50390001", 
            "label": "system", 
            "updated": "2011-07-27T22:01:57.049+0000"
        }, 
        "updated": "2011-07-28T18:23:43.013+0000", 
        "username": "testuser1", 
        "uuid": "557395ed-cef3-4f9e-b3e4-969f4739af1c"
    }
]

VERIFYING...
2. The consumer creation date was:
   "created": "2011-07-28T18:13:19.908+0000"
   The consumer creation date remains:
   "created": "2011-07-28T18:13:19.908+0000"
3. The consumer updated date was:
   "updated": "2011-07-28T18:17:40.923+0000"
   The consumer updated date has changed to:
   "updated": "2011-07-28T18:23:43.013+0000"

moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.